import torch.nn as nn


# NOTE: It might be better to have more linear layers here to enable better regression
# self.linear1 = nn.Linear(embedding_dim, embedding_dim)
# self.dropout = nn.Dropout(dropout)
# self.linear2 = nn.Linear(embedding_dim, 1)


class Regression(nn.Module):
    def __init__(self, embedding_dim, patch_size):
        super(Regression, self).__init__()
        self.embedding_dim = embedding_dim
        self.patch_size = patch_size
        self.linear = nn.Linear(embedding_dim, patch_size)

    def forward(self, x):
        output = self.linear(x)
        return output
