from src.dataset.normalization.INormalizer import INormalizer


class ZeroOneNormalizer(INormalizer):
    def __init__(self, dataset):
        self.max = dataset.max()
        self.min = dataset.min()

    def normalize(self, values):
        return (values - self.min) / (self.max - self.min)

    def denormalize(self, values):
        return (values * (self.max - self.min)) + self.min
